Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::RadioToolButton Class Reference

A GtkRadioToolButton C++ wrapper class. More...

`#include <xfc/gtk/radiotoolbutton.hh>`

Inheritance diagram for Xfc::Gtk::RadioToolButton:

List of all members.

## Public Types

- typedef GSList Group
    The radio tool button group.

## Public Member Functions

Constructors

- RadioToolButton ()
    Constructs an empty radio tool button that is the first member of a new group.
- RadioToolButton (const RadioToolButton *group)
    Constructs a new radio tool button that is a member of a group.
- RadioToolButton (const RadioToolButton *group, const StockId &stock_id)
    Constructs a new radio tool button that is a member of a group.
- virtual ~RadioToolButton ()
    Destructor.

Accessors

- GtkRadioToolButton * gtk_radio_tool_button () const
    Get a pointer to the GtkRadioToolButton structure.
- operator GtkRadioToolButton * () const
    Conversion operator; safely converts an RadioToolButton to a GtkRadioToolButton pointer.
- Group * get_group () const
    Gets the radio button group the button belongs to.

Methods

- void set_group (Group *group)
    Adds the button to group, removing it from the group it belonged to before.

## Protected Member Functions

Constructors

- RadioToolButton (GtkRadioToolButton *button, bool owns_reference=false)
    Construct a new RadioToolButton from an existing GtkRadioToolButton.

## Detailed Description

A GtkRadioToolButton C++ wrapper class.

A RadioToolButton is a ToolItem that contains a radio button, that is, a button that is part of a group of toggle buttons where only one button can be active at a time.

See also: the ToolItems HOWTO.

## Constructor & Destructor Documentation

Xfc::Gtk::RadioToolButton::RadioToolButton | ( | GtkRadioToolButton * | button,
|  | bool | owns_reference = `false`
| ) | `[explicit, protected]`

Construct a new RadioToolButton from an existing GtkRadioToolButton.

Parameters:

  | button | A pointer to a GtkRadioToolButton.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The button can be a newly created GtkRadioToolButton or an existing GtkRadioToolButton (see G::Object::Object).

Xfc::Gtk::RadioToolButton::RadioToolButton | ( | const RadioToolButton * | group | ) | `[explicit]`

Constructs a new radio tool button that is a member of a group.

Parameters:

  | group | An existing RadioToolButton, or null to start a new group.

Xfc::Gtk::RadioToolButton::RadioToolButton | ( | const RadioToolButton * | group,
|  | const StockId & | stock_id
| ) |

Constructs a new radio tool button that is a member of a group.

Parameters:

  | group | An existing RadioToolButton, or null to start a new group.
  | stock_id | The stock item ID.

The new radio tool button will contain an icon and label from the stock item indicated by stock_id.

## Member Function Documentation

Group* Xfc::Gtk::RadioToolButton::get_group | ( |  | ) | const

Gets the radio button group the button belongs to.

Returns:
  The group button belongs to.

void Xfc::Gtk::RadioToolButton::set_group | ( | Group * | group | ) |

Adds the button to group, removing it from the group it belonged to before.

Parameters:

  | group | An existing radio button group.

The documentation for this class was generated from the following file:

- radiotoolbutton.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3